## org.codehaus.groovy.grails.orm.hibernate.support
Class HibernateDialectDetectorFactoryBean

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.support.HibernateDialectDetectorFactoryBean

All Implemented Interfaces:
  FactoryBean, InitializingBean

    public class HibernateDialectDetectorFactoryBean

extends Object
implements FactoryBean, InitializingBean

Since:
  Aug 6, 2005
Author:
  Steven Devijver

Constructor Summary
`HibernateDialectDetectorFactoryBean()`

Method Summary
`void` `afterPropertiesSet()`
`Object` `getObject()`
`Class` `getObjectType()`
`boolean` `isSingleton()`
`void` `setDataSource(DataSource dataSource)`
`void` `setVendorNameDialectMappings(Properties mappings)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateDialectDetectorFactoryBean

    public HibernateDialectDetectorFactoryBean()

Method Detail

### setDataSource

    public void setDataSource(DataSource dataSource)

### setVendorNameDialectMappings

    public void setVendorNameDialectMappings(Properties mappings)

### getObject

    public Object getObject()
                     throws Exception

  Specified by:
    `getObject` in interface `FactoryBean`
  Throws:
    `Exception`

### getObjectType

    public Class getObjectType()

  Specified by:
    `getObjectType` in interface `FactoryBean`

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `FactoryBean`

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

Copyright (c) 2005-2009 The Grails project